GENKDMCONF(1)

NAME
genkdmconf - generate configuration files for kdm

SYNOPSIS
genkdmconf [--in /path/to/new/kdm-config-dir]
    [--old-xdm /path/to/old/xdm-dir]
    [--old-kde /path/to/old/kde-config-dir]
    [--no-old] [--no-old-xdm] [--no-old-kde] [--old-scripts]
    [--no-old-scripts] [--old-confs] [--no-backup]
    [--no-in-notice]

DESCRIPTION
genkdmconf is used to generate configuration files for kdm.
If an older xdm/kdm configuration is found, its config files are "absorbed"; if it lives in the new target directory, its scripts are reused (and possibly modified) as well, otherwise the scripts are ignored and default scripts are installed.

OPTIONS

--in /path/to/new/kdm-config-dir
    In which directory to put the new configuration. You can use this to support a $(DESTDIR), but not to change the final location of the installation - the paths inside the files are not affected.
    Default is /etc/kde3/kdm.

--old-xdm /path/to/old/xdm-dir
    Where to look for the config files of an xdm / older kdm. Default is to scan /etc/X11/kdm, $XLIBDIR/kdm, /etc/X11/xdm, $XLIBDIR/xdm; there in turn look for kdm-config and xdm-config.
    Note that you possibly need to use --no-old-kde to make this take effect.

--old-kde /path/to/old/kde-config-dir
    Where to look for the kdmrc of an older kdm.
    Default is to scan /etc/kde3 and {/usr,/usr/local, {/opt,/usr/local}{kde3,kde,kde2,kde1}}/share/config.

--no-old
    Don't look at older xdm/kdm configurations, just create default config.

--no-old-xdm
    Don't look at older xdm configurations.

--no-old-kde
    Don't look at older kdm configurations.

--old-scripts
    Directly use all scripts from the older xdm/kdm configuration.

--no-old-scripts
    Don't use scripts from the older xdm/kdm configuration even if it lives in the new target directory.

--old-confs
    Directly use all ancillary config files from the older xdm/kdm configuration. This is usually a bad idea.

--no-backup
    Overwrite/delete old config files instead of backing them up.

--no-in-notice
    Don't put the notice about --in being used into the generated README.

SEE ALSO
kdm(1)

AUTHORS
Oswald Buddenhagen <ossi@kde.org>
Please use http://bugs.kde.org to report bugs; do not mail the author directly.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project, but may be used by others. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.